package com.zswl.cloud.springBtach.server.core.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import com.github.microservice.components.data.mongo.mongo.domain.SuperEntity;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

@Data
@Builder
@Document
@AllArgsConstructor
@NoArgsConstructor
public class XiaoJuStore  extends SuperEntity{

    private String storeId;
    private String storeName;
    private String address;
    private Float lat;
    private Float lon;
    private String cityName;
    private String provinceName;
    private String brandName;
    private String tel;
    private String openTimeHourStart;
    private String openTimeHourEnd;
    private String logo;
    private List<String> picList;
    private List<Object> itemInfoList;
    private String status;
    private String invoiceManner;
    private String marketTags;


}
